## r-cran-lintr 3.0.0

=== debian/changelog ===
r-cran-lintr (3.0.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

  [ Andrius Merkys ]
  * New upstream version 3.0.0
  * Update debian/copyright to closer reflect LICENSE file.
  * Update dependencies with dh-update-R.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Jun 2022 01:57:27 -0400

r-cran-lintr (2.0.1-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 May 2022 01:09:30 -0400

r-cran-lintr (2.0.1-1) unstable; urgency=medium

  * Initial release (closes: #1010661)

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 May 2022 07:09:38 -0400

## r-cran-lintr 3.0.2

=== DESCRIPTION ===
Package: lintr
Title: A 'Linter' for R Code
Version: 3.0.2
Authors@R: c(
    person("Jim", "Hester", , "james.f.hester@gmail.com", role = c("aut", "cre")),
    person("Florent", "Angly", role = "aut",
           comment = "fangly"),
    person("Russ", "Hyde", role = "aut"),
    person("Michael", "Chirico", role = "aut"),
    person("Kun", "Ren", role = "aut"),
    person("Alexander", "Rosenstock", role = "aut",
           comment = "AshesITR"),
    person("Indrajeet", "Patil", role = "aut", email = "patilindrajeet.science@gmail.com",
           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets"))
  )
Description: Checks adherence to a given style, syntax errors and possible
    semantic issues.  Supports on the fly checking of R code edited with
    'RStudio IDE', 'Emacs', 'Vim', 'Sublime Text', 'Atom' and 'Visual
    Studio Code'.
License: MIT + file LICENSE
URL: https://github.com/r-lib/lintr, https://lintr.r-lib.org
BugReports: https://github.com/r-lib/lintr/issues
Depends: R (>= 3.2)
Imports: backports, codetools, crayon, cyclocomp, digest, glue,
        jsonlite, knitr, rex, stats, utils, xml2 (>= 1.0.0),
        xmlparsedata (>= 1.0.5)
Suggests: covr, httr (>= 1.2.1), mockery, patrick, pkgdown, rmarkdown,
        rstudioapi (>= 0.2), testthat (>= 3.0.0), tibble, withr (>=
        2.5.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.1
Collate: 'T_and_F_symbol_linter.R' 'utils.R' 'aaa.R' 'actions.R'
        'addins.R' 'any_duplicated_linter.R' 'any_is_na_linter.R'
        'assignment_linter.R' 'backport_linter.R' 'brace_linter.R'
        'cache.R' 'class_equals_linter.R' 'closed_curly_linter.R'
        'commas_linter.R' 'comment_linters.R' 'comments.R'
        'condition_message_linter.R' 'conjunct_test_linter.R'
        'consecutive_stopifnot_linter.R' 'cyclocomp_linter.R'
        'declared_functions.R' 'deprecated.R'
        'duplicate_argument_linter.R' 'equals_na_linter.R' 'exclude.R'
        'expect_comparison_linter.R' 'expect_identical_linter.R'
        'expect_length_linter.R' 'expect_lint.R'
        'expect_named_linter.R' 'expect_not_linter.R'
        'expect_null_linter.R' 'expect_s3_class_linter.R'
        'expect_true_false_linter.R' 'expect_type_linter.R' 'extract.R'
        'extraction_operator_linter.R' 'fixed_regex_linter.R'
        'function_argument_linter.R'
        'function_left_parentheses_linter.R' 'get_source_expressions.R'
        'ids_with_token.R' 'ifelse_censor_linter.R'
        'implicit_integer_linter.R' 'infix_spaces_linter.R'
        'inner_combine_linter.R' 'is_lint_level.R'
        'line_length_linter.R' 'lint.R' 'linter_tag_docs.R'
        'linter_tags.R' 'literal_coercion_linter.R'
        'make_linter_from_regex.R' 'methods.R'
        'missing_argument_linter.R' 'missing_package_linter.R'
        'namespace.R' 'namespace_linter.R' 'nested_ifelse_linter.R'
        'no_tab_linter.R' 'numeric_leading_zero_linter.R'
        'object_name_linters.R' 'object_usage_linter.R'
        'open_curly_linter.R' 'outer_negation_linter.R'
        'package_hooks_linter.R' 'paren_body_linter.R'
        'paren_brace_linter.R' 'paste_linter.R' 'path_linters.R'
        'pipe_call_linter.R' 'pipe_continuation_linter.R'
        'redundant_ifelse_linter.R' 'regex_subset_linter.R'
        'semicolon_linter.R' 'seq_linter.R' 'settings.R'
        'single_quotes_linter.R' 'spaces_inside_linter.R'
        'spaces_left_parentheses_linter.R' 'sprintf_linter.R'
        'string_boundary_linter.R' 'strings_as_factors_linter.R'
        'system_file_linter.R' 'trailing_blank_lines_linter.R'
        'trailing_whitespace_linter.R' 'tree-utils.R'
        'undesirable_function_linter.R' 'undesirable_operator_linter.R'
        'unneeded_concatenation_linter.R' 'unreachable_code_linter.R'
        'unused_import_linter.R' 'use_lintr.R' 'vector_logic_linter.R'
        'with.R' 'with_id.R' 'xml_nodes_to_lints.R' 'xp_utils.R'
        'yoda_test_linter.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2022-10-11 19:02:22 UTC; jimhester
Author: Jim Hester [aut, cre],
  Florent Angly [aut] (fangly),
  Russ Hyde [aut],
  Michael Chirico [aut],
  Kun Ren [aut],
  Alexander Rosenstock [aut] (AshesITR),
  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
    @patilindrajeets)
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2022-10-19 09:52:37 UTC

=== tests/testthat/dummy_packages/clean_subdir/r/DESCRIPTION ===
Package: clean
Version: 0.0.1

=== debian/changelog ===
r-cran-lintr (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2

 -- Andrius Merkys <merkys@debian.org>  Thu, 20 Oct 2022 01:30:23 -0400

r-cran-lintr (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Andrius Merkys <merkys@debian.org>  Wed, 14 Sep 2022 08:26:55 -0400

=== debian/control ===
Source: r-cran-lintr
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andrius Merkys <merkys@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
Homepage: https://cran.r-project.org/package=lintr
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rex,
               r-cran-crayon,
               r-cran-codetools,
               r-cran-cyclocomp,
               r-cran-digest,
               r-cran-glue,
               r-cran-jsonlite,
               r-cran-knitr,
               r-cran-xml2 (>= 1.0.0),
               r-cran-xmlparsedata (>= 1.0.3),
               r-cran-backports
Testsuite: autopkgtest-pkg-r

Package: r-cran-lintr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Linter for R Code
 Checks adherence to a given style, syntax errors and possible semantic issues.
 Supports on the fly checking of R code edited with RStudio IDE, Emacs, Vim,
 Sublime Text and Atom.

## r-cran-lintr 3.1.0

=== debian/changelog ===
r-cran-lintr (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 24 Jul 2023 02:20:39 -0400

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rex,
-               r-cran-crayon,
+               r-cran-backports,
                r-cran-codetools,
                r-cran-cyclocomp,
                r-cran-digest,
                r-cran-glue,
-               r-cran-jsonlite,
                r-cran-knitr,
+               r-cran-rex,
                r-cran-xml2 (>= 1.0.0),
-               r-cran-xmlparsedata (>= 1.0.3),
-               r-cran-backports
+               r-cran-xmlparsedata (>= 1.0.5)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lintr

## r-cran-lintr 3.1.1

=== tests/testthat/dummy_packages/clean/DESCRIPTION ===
Package: clean
Version: 0.0.1
RoxygenNote: 7.2.2

=== tests/testthat/dummy_packages/missing_dep/DESCRIPTION ===
Package: downstream
Version: 0.0.1
Imports: myFancyUpstream

=== debian/changelog ===
r-cran-lintr (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add autopkgtest
  * Add further false positive to lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 09:04:28 +0100

=== debian/control ===
Source: r-cran-lintr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andrius Merkys <merkys@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-backports,
               r-cran-codetools,
               r-cran-cyclocomp,
               r-cran-digest,
               r-cran-glue,
               r-cran-knitr,
               r-cran-rex,
               r-cran-xml2,
               r-cran-xmlparsedata
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
Homepage: https://cran.r-project.org/package=lintr
Rules-Requires-Root: no

Package: r-cran-lintr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Linter for R Code
 Checks adherence to a given style, syntax errors and possible semantic issues.
 Supports on the fly checking of R code edited with RStudio IDE, Emacs, Vim,
 Sublime Text and Atom.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bookdown,
        r-cran-crayon,
        r-cran-httr (>= 1.2.1),
        r-cran-jsonlite,
        r-cran-mockery,
        r-cran-patrick,
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-rstudioapi (>= 0.2),
        r-cran-testthat (>= 3.1.5),
        r-cran-tibble,
        r-cran-tufte,
        r-cran-withr (>= 2.5.0)
Restrictions: allow-stderr

## r-cran-lintr 3.1.2

=== DESCRIPTION ===
Package: lintr
Title: A 'Linter' for R Code
Version: 3.1.2
Authors@R: c(
    person("Jim", "Hester", , role = "aut"),
    person("Florent", "Angly", role = "aut",
           comment = "fangly"),
    person("Russ", "Hyde", role = "aut"),
    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre")),
    person("Kun", "Ren", role = "aut"),
    person("Alexander", "Rosenstock", role = "aut",
           comment = "AshesITR"),
    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets"))
  )
Description: Checks adherence to a given style, syntax errors and possible
    semantic issues.  Supports on the fly checking of R code edited with
    'RStudio IDE', 'Emacs', 'Vim', 'Sublime Text', 'Atom' and 'Visual
    Studio Code'.
License: MIT + file LICENSE
URL: https://github.com/r-lib/lintr, https://lintr.r-lib.org
BugReports: https://github.com/r-lib/lintr/issues
Depends: R (>= 3.5)
Imports: backports (>= 1.1.7), codetools, cyclocomp, digest, glue,
        knitr, rex, stats, utils, xml2 (>= 1.0.0), xmlparsedata (>=
        1.0.5)
Suggests: bookdown, crayon, httr (>= 1.2.1), jsonlite, mockery,
        patrick, rlang, rmarkdown, rstudioapi (>= 0.2), testthat (>=
        3.1.5), tibble, tufte, withr (>= 2.5.0)
Enhances: data.table
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.1
Collate: 'make_linter_from_xpath.R' 'xp_utils.R' 'utils.R' 'AAA.R'
        'T_and_F_symbol_linter.R' 'absolute_path_linter.R' 'actions.R'
        'addins.R' 'any_duplicated_linter.R' 'any_is_na_linter.R'
        'assignment_linter.R' 'backport_linter.R'
        'boolean_arithmetic_linter.R' 'brace_linter.R' 'cache.R'
        'class_equals_linter.R' 'commas_linter.R' 'comment_linters.R'
        'comments.R' 'condition_message_linter.R'
        'conjunct_test_linter.R' 'consecutive_assertion_linter.R'
        'cyclocomp_linter.R' 'declared_functions.R' 'deprecated.R'
        'duplicate_argument_linter.R' 'empty_assignment_linter.R'
        'equals_na_linter.R' 'exclude.R' 'expect_comparison_linter.R'
        'expect_identical_linter.R' 'expect_length_linter.R'
        'expect_lint.R' 'expect_named_linter.R' 'expect_not_linter.R'
        'expect_null_linter.R' 'expect_s3_class_linter.R'
        'expect_s4_class_linter.R' 'expect_true_false_linter.R'
        'expect_type_linter.R' 'extract.R'
        'extraction_operator_linter.R' 'fixed_regex_linter.R'
        'for_loop_index_linter.R' 'function_argument_linter.R'
        'function_left_parentheses_linter.R' 'function_return_linter.R'
        'get_source_expressions.R' 'ids_with_token.R'
        'if_not_else_linter.R' 'ifelse_censor_linter.R'
        'implicit_assignment_linter.R' 'implicit_integer_linter.R'
        'indentation_linter.R' 'infix_spaces_linter.R'
        'inner_combine_linter.R' 'is_lint_level.R'
        'is_numeric_linter.R' 'keyword_quote_linter.R'
        'length_levels_linter.R' 'length_test_linter.R'
        'lengths_linter.R' 'library_call_linter.R'
        'line_length_linter.R' 'lint.R' 'linter_tag_docs.R'
        'linter_tags.R' 'lintr-deprecated.R' 'lintr-package.R'
        'literal_coercion_linter.R' 'make_linter_from_regex.R'
        'matrix_apply_linter.R' 'methods.R' 'missing_argument_linter.R'
        'missing_package_linter.R' 'namespace.R' 'namespace_linter.R'
        'nested_ifelse_linter.R' 'nonportable_path_linter.R'
        'numeric_leading_zero_linter.R' 'object_length_linter.R'
        'object_name_linter.R' 'object_usage_linter.R'
        'outer_negation_linter.R' 'package_hooks_linter.R'
        'paren_body_linter.R' 'paste_linter.R' 'path_utils.R'
        'pipe_call_linter.R' 'pipe_consistency_linter.R'
        'pipe_continuation_linter.R' 'quotes_linter.R'
        'redundant_equals_linter.R' 'redundant_ifelse_linter.R'
        'regex_subset_linter.R' 'repeat_linter.R'
        'routine_registration_linter.R' 'scalar_in_linter.R'
        'semicolon_linter.R' 'seq_linter.R' 'settings.R'
        'settings_utils.R' 'shared_constants.R' 'sort_linter.R'
        'spaces_inside_linter.R' 'spaces_left_parentheses_linter.R'
        'sprintf_linter.R' 'string_boundary_linter.R'
        'strings_as_factors_linter.R' 'system_file_linter.R'
        'trailing_blank_lines_linter.R' 'trailing_whitespace_linter.R'
        'tree_utils.R' 'undesirable_function_linter.R'
        'undesirable_operator_linter.R'
        'unnecessary_concatenation_linter.R'
        'unnecessary_lambda_linter.R' 'unnecessary_nested_if_linter.R'
        'unnecessary_placeholder_linter.R' 'unreachable_code_linter.R'
        'unused_import_linter.R' 'use_lintr.R' 'vector_logic_linter.R'
        'whitespace_linter.R' 'with.R' 'with_id.R'
        'xml_nodes_to_lints.R' 'yoda_test_linter.R' 'zzz.R'
Language: en-US
NeedsCompilation: no
Packaged: 2024-03-24 22:09:44 UTC; michael
Author: Jim Hester [aut],
  Florent Angly [aut] (fangly),
  Russ Hyde [aut],
  Michael Chirico [aut, cre],
  Kun Ren [aut],
  Alexander Rosenstock [aut] (AshesITR),
  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
    @patilindrajeets)
Maintainer: Michael Chirico <michaelchirico4@gmail.com>
Repository: CRAN
Date/Publication: 2024-03-25 06:10:02 UTC

=== debian/changelog ===
r-cran-lintr (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Refresh debian/source/lintian-overrides.

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Mar 2024 04:15:16 -0400

## r-cran-lintr 3.2.0

=== DESCRIPTION ===
Package: lintr
Title: A 'Linter' for R Code
Version: 3.2.0
Authors@R: c(
    person("Jim", "Hester", , role = "aut"),
    person("Florent", "Angly", role = "aut",
           comment = "fangly"),
    person("Russ", "Hyde", role = "aut"),
    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre")),
    person("Kun", "Ren", role = "aut"),
    person("Alexander", "Rosenstock", role = "aut",
           comment = "AshesITR"),
    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets"))
  )
Description: Checks adherence to a given style, syntax errors and possible
    semantic issues.  Supports on the fly checking of R code edited with
    'RStudio IDE', 'Emacs', 'Vim', 'Sublime Text', 'Atom' and 'Visual
    Studio Code'.
License: MIT + file LICENSE
URL: https://lintr.r-lib.org, https://github.com/r-lib/lintr
BugReports: https://github.com/r-lib/lintr/issues
Depends: R (>= 4.0)
Imports: backports (>= 1.4.0), cli (>= 3.4.0), codetools, digest, glue,
        knitr, rex, stats, utils, xml2 (>= 1.0.0), xmlparsedata (>=
        1.0.5)
Suggests: bookdown, cyclocomp, jsonlite, patrick (>= 0.2.0), rlang,
        rmarkdown, rstudioapi (>= 0.2), testthat (>= 3.2.1), tibble,
        tufte, withr (>= 2.5.0)
Enhances: data.table
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/Needs/development: pkgload, cli, testthat, patrick
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
Collate: 'make_linter_from_xpath.R' 'xp_utils.R' 'utils.R' 'AAA.R'
        'T_and_F_symbol_linter.R' 'absolute_path_linter.R' 'actions.R'
        'addins.R' 'any_duplicated_linter.R' 'any_is_na_linter.R'
        'assignment_linter.R' 'backport_linter.R'
        'boolean_arithmetic_linter.R' 'brace_linter.R' 'cache.R'
        'class_equals_linter.R' 'commas_linter.R'
        'commented_code_linter.R' 'comparison_negation_linter.R'
        'condition_call_linter.R' 'condition_message_linter.R'
        'conjunct_test_linter.R' 'consecutive_assertion_linter.R'
        'consecutive_mutate_linter.R' 'cyclocomp_linter.R'
        'declared_functions.R' 'deprecated.R'
        'duplicate_argument_linter.R' 'empty_assignment_linter.R'
        'equals_na_linter.R' 'exclude.R' 'expect_comparison_linter.R'
        'expect_identical_linter.R' 'expect_length_linter.R'
        'expect_lint.R' 'expect_named_linter.R' 'expect_not_linter.R'
        'expect_null_linter.R' 'expect_s3_class_linter.R'
        'expect_s4_class_linter.R' 'expect_true_false_linter.R'
        'expect_type_linter.R' 'extract.R' 'fixed_regex_linter.R'
        'for_loop_index_linter.R' 'function_argument_linter.R'
        'function_left_parentheses_linter.R' 'function_return_linter.R'
        'get_source_expressions.R' 'ids_with_token.R'
        'if_not_else_linter.R' 'if_switch_linter.R'
        'ifelse_censor_linter.R' 'implicit_assignment_linter.R'
        'implicit_integer_linter.R' 'indentation_linter.R'
        'infix_spaces_linter.R' 'inner_combine_linter.R'
        'is_lint_level.R' 'is_numeric_linter.R'
        'keyword_quote_linter.R' 'length_levels_linter.R'
        'length_test_linter.R' 'lengths_linter.R'
        'library_call_linter.R' 'line_length_linter.R' 'lint.R'
        'linter_tag_docs.R' 'linter_tags.R' 'lintr-deprecated.R'
        'lintr-package.R' 'list_comparison_linter.R'
        'literal_coercion_linter.R' 'make_linter_from_regex.R'
        'matrix_apply_linter.R' 'methods.R' 'missing_argument_linter.R'
        'missing_package_linter.R' 'namespace.R' 'namespace_linter.R'
        'nested_ifelse_linter.R' 'nested_pipe_linter.R'
        'nonportable_path_linter.R' 'shared_constants.R'
        'nrow_subset_linter.R' 'numeric_leading_zero_linter.R'
        'nzchar_linter.R' 'object_length_linter.R'
        'object_name_linter.R' 'object_overwrite_linter.R'
        'object_usage_linter.R' 'one_call_pipe_linter.R'
        'outer_negation_linter.R' 'package_hooks_linter.R'
        'paren_body_linter.R' 'paste_linter.R' 'path_utils.R'
        'pipe_call_linter.R' 'pipe_consistency_linter.R'
        'pipe_continuation_linter.R' 'pipe_return_linter.R'
        'print_linter.R' 'quotes_linter.R' 'redundant_equals_linter.R'
        'redundant_ifelse_linter.R' 'regex_subset_linter.R'
        'rep_len_linter.R' 'repeat_linter.R' 'return_linter.R'
        'routine_registration_linter.R' 'sample_int_linter.R'
        'scalar_in_linter.R' 'semicolon_linter.R' 'seq_linter.R'
        'settings.R' 'settings_utils.R' 'sort_linter.R'
        'source_utils.R' 'spaces_inside_linter.R'
        'spaces_left_parentheses_linter.R' 'sprintf_linter.R'
        'stopifnot_all_linter.R' 'string_boundary_linter.R'
        'strings_as_factors_linter.R' 'system_file_linter.R'
        'terminal_close_linter.R' 'todo_comment_linter.R'
        'trailing_blank_lines_linter.R' 'trailing_whitespace_linter.R'
        'tree_utils.R' 'undesirable_function_linter.R'
        'undesirable_operator_linter.R'
        'unnecessary_concatenation_linter.R'
        'unnecessary_lambda_linter.R' 'unnecessary_nesting_linter.R'
        'unnecessary_placeholder_linter.R' 'unreachable_code_linter.R'
        'unused_import_linter.R' 'use_lintr.R' 'vector_logic_linter.R'
        'which_grepl_linter.R' 'whitespace_linter.R' 'with.R'
        'with_id.R' 'xml_nodes_to_lints.R' 'xml_utils.R'
        'yoda_test_linter.R' 'zzz.R'
Language: en-US
NeedsCompilation: no
Packaged: 2025-02-12 00:10:30 UTC; root
Author: Jim Hester [aut],
  Florent Angly [aut] (fangly),
  Russ Hyde [aut],
  Michael Chirico [aut, cre],
  Kun Ren [aut],
  Alexander Rosenstock [aut] (AshesITR),
  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
    @patilindrajeets)
Maintainer: Michael Chirico <michaelchirico4@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-12 15:00:02 UTC

=== tests/testthat/dummy_packages/RConfig/DESCRIPTION ===
Package: RConfig
Version: 0.0.1

=== tests/testthat/dummy_packages/RConfigInvalid/DESCRIPTION ===
Package: RConfigInvalid
Version: 0.0.1

=== tests/testthat/dummy_packages/assignmentLinter/DESCRIPTION ===
Package: assignmentLinter
Type: Package
Title: What the package does (short line)
Version: 1.0
Date: 2019-12-17
Author: Who wrote it
Maintainer: Who to complain to <yourfault@somewhere.net>
Description: More about what it does (maybe more than one line)
License: What license is it under?
Suggests: 
    testthat (>= 3.0.0)
Config/testthat/edition: 3

=== tests/testthat/dummy_packages/cp1252/DESCRIPTION ===
Package: cp1252
Type: Package
Title: What the Package Does (Title Case)
Version: 0.1.0
Author: Who wrote it
Maintainer: The package maintainer <yourself@somewhere.net>
Description: More about what it does (maybe more than one line)
    Use four spaces when indenting paragraphs within the Description.
License: What license is it under?
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)

=== tests/testthat/dummy_packages/no_export_dep/DESCRIPTION ===
Package: downstream
Version: 0.0.1
Imports: datasets

=== debian/changelog ===
r-cran-lintr (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Feb 2025 09:18:23 +0900

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports,
+               r-cran-backports (>= 1.4.0),
+               r-cran-cli (>= 3.4.0),
                r-cran-codetools,
-               r-cran-cyclocomp,
                r-cran-digest,
                r-cran-glue,
                r-cran-knitr,
                r-cran-rex,
                r-cran-xml2,
                r-cran-xmlparsedata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
 Homepage: https://cran.r-project.org/package=lintr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bookdown,
        r-cran-cyclocomp,
        r-cran-jsonlite,
        r-cran-patrick (>= 0.2.0),
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-rstudioapi (>= 0.2),
        r-cran-testthat (>= 3.2.1),
        r-cran-tibble,
        r-cran-tufte,
        r-cran-withr (>= 2.5.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/lintr_([-\d.]*)\.tar\.gz

## r-cran-lintr 3.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Package: lintr
 Title: A 'Linter' for R Code
-Version: 3.2.0
+Version: 3.3.0-1
 Authors@R: c(
     person("Jim", "Hester", , role = "aut"),
     person("Florent", "Angly", role = "aut",
-           comment = "fangly"),
+           comment = c(GitHub = "fangly")),
     person("Russ", "Hyde", role = "aut"),
-    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre")),
+    person("Michael", "Chirico", email = "michaelchirico4@gmail.com", role = c("aut", "cre"),
+           comment = c(ORCID = "0000-0003-0787-087X")),
     person("Kun", "Ren", role = "aut"),
     person("Alexander", "Rosenstock", role = "aut",
-           comment = "AshesITR"),
-    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
-           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets"))
+           comment = c(GitHub = "AshesITR")),
+    person("Indrajeet", "Patil", email = "patilindrajeet.science@gmail.com", role = "aut",
+           comment = c(ORCID = "0000-0003-1995-6531")),
+    person("Hugo", "Gruson", role = "aut",
+           comment = c(ORCID = "0000-0002-4094-1476"))
   )
 Description: Checks adherence to a given style, syntax errors and possible
     semantic issues.  Supports on the fly checking of R code edited with
@@ -21,30 +24,30 @@
 URL: https://lintr.r-lib.org, https://github.com/r-lib/lintr
 BugReports: https://github.com/r-lib/lintr/issues
 Depends: R (>= 4.0)
-Imports: backports (>= 1.4.0), cli (>= 3.4.0), codetools, digest, glue,
-        knitr, rex, stats, utils, xml2 (>= 1.0.0), xmlparsedata (>=
-        1.0.5)
+Imports: backports (>= 1.5.0), cli (>= 3.4.0), codetools, digest, glue,
+        knitr, rex, stats, utils, xfun, xml2 (>= 1.0.0), xmlparsedata
+        (>= 1.0.5)
 Suggests: bookdown, cyclocomp, jsonlite, patrick (>= 0.2.0), rlang,
         rmarkdown, rstudioapi (>= 0.2), testthat (>= 3.2.1), tibble,
         tufte, withr (>= 2.5.0)
 Enhances: data.table
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
-Config/Needs/development: pkgload, cli, testthat, patrick
+Config/Needs/development: pkgload, testthat, patrick
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Collate: 'make_linter_from_xpath.R' 'xp_utils.R' 'utils.R' 'AAA.R'
         'T_and_F_symbol_linter.R' 'absolute_path_linter.R' 'actions.R'
-        'addins.R' 'any_duplicated_linter.R' 'any_is_na_linter.R'
-        'assignment_linter.R' 'backport_linter.R'
+        'addins.R' 'all_equal_linter.R' 'any_duplicated_linter.R'
+        'any_is_na_linter.R' 'assignment_linter.R' 'backport_linter.R'
         'boolean_arithmetic_linter.R' 'brace_linter.R' 'cache.R'
-        'class_equals_linter.R' 'commas_linter.R'
+        'class_equals_linter.R' 'coalesce_linter.R' 'commas_linter.R'
         'commented_code_linter.R' 'comparison_negation_linter.R'
         'condition_call_linter.R' 'condition_message_linter.R'
         'conjunct_test_linter.R' 'consecutive_assertion_linter.R'
         'consecutive_mutate_linter.R' 'cyclocomp_linter.R'
-        'declared_functions.R' 'deprecated.R'
+        'declared_functions.R' 'deprecated.R' 'download_file_linter.R'
         'duplicate_argument_linter.R' 'empty_assignment_linter.R'
         'equals_na_linter.R' 'exclude.R' 'expect_comparison_linter.R'
         'expect_identical_linter.R' 'expect_length_linter.R'
@@ -64,7 +67,7 @@
         'length_test_linter.R' 'lengths_linter.R'
         'library_call_linter.R' 'line_length_linter.R' 'lint.R'
         'linter_tag_docs.R' 'linter_tags.R' 'lintr-deprecated.R'
-        'lintr-package.R' 'list_comparison_linter.R'
+        'lintr-package.R' 'list2df_linter.R' 'list_comparison_linter.R'
         'literal_coercion_linter.R' 'make_linter_from_regex.R'
         'matrix_apply_linter.R' 'methods.R' 'missing_argument_linter.R'
         'missing_package_linter.R' 'namespace.R' 'namespace_linter.R'
@@ -101,15 +104,16 @@
         'yoda_test_linter.R' 'zzz.R'
 Language: en-US
 NeedsCompilation: no
-Packaged: 2025-02-12 00:10:30 UTC; root
+Packaged: 2025-11-26 20:56:52 UTC; root
 Author: Jim Hester [aut],
-  Florent Angly [aut] (fangly),
+  Florent Angly [aut] (GitHub: fangly),
   Russ Hyde [aut],
-  Michael Chirico [aut, cre],
+  Michael Chirico [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-0787-087X>),
   Kun Ren [aut],
-  Alexander Rosenstock [aut] (AshesITR),
-  Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
-    @patilindrajeets)
+  Alexander Rosenstock [aut] (GitHub: AshesITR),
+  Indrajeet Patil [aut] (ORCID: <https://orcid.org/0000-0003-1995-6531>),
+  Hugo Gruson [aut] (ORCID: <https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Michael Chirico <michaelchirico4@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-02-12 15:00:02 UTC
+Date/Publication: 2025-11-27 07:30:02 UTC

## r-cran-lintr 3.3.0-1

=== debian/changelog ===
r-cran-lintr (3.3.0-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 15 Jan 2026 15:36:59 +0900

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports (>= 1.4.0),
-               r-cran-cli (>= 3.4.0),
+               r-cran-backports (>= 1.5.0),
+               r-cran-cli,
                r-cran-codetools,
                r-cran-digest,
                r-cran-glue,
                r-cran-knitr,
                r-cran-rex,
+               r-cran-xfun,
                r-cran-xml2,
-               r-cran-xmlparsedata
-Standards-Version: 4.7.0
+               r-cran-xmlparsedata,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lintr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lintr.git
 Homepage: https://cran.r-project.org/package=lintr
